declare type CommitType = "build" | "ci" | "docs" | "feat" | "fix" | "perf" | "refactor" | "revert" | "test" | "chore" | "release";
declare type ParsedKind = "type" | "scope" | "first-line" | "short-summary" | "body" | "breaking-change";
/**
 * @see https://github.com/angular/angular/blob/master/CONTRIBUTING.md#commit-message-header
 */
interface ParsedCommitMessage {
    type: CommitType;
    scope?: string;
    shortSummary: string;
    firstLineFullMessage: string;
    body?: string;
    footer?: string;
    breakingChanges?: string[];
    parsed: ParsedKind[];
}
interface CategorizeCommitMessage {
    others: string[];
    breakingChanges: string[];
}
declare const categorizeCommitMessage: (text: string) => CategorizeCommitMessage;
declare const parseCommitMessage: (commitMessage: string) => ParsedCommitMessage;

export { CategorizeCommitMessage, CommitType, ParsedCommitMessage, ParsedKind, categorizeCommitMessage, parseCommitMessage };
